package ittp;

import java.rmi.Remote;
import java.rmi.RemoteException;

/**
 * Interface implementing the class Parameters.java.
 * @author Frederic Bidon and Mathieu Texier
 */
public interface RemoteControl extends Remote {
    
    public int getPort () throws RemoteException ;
    public String getBaseDir () throws RemoteException;
    public int getNumberOfRequest () throws RemoteException;
    public int getNumberOfError () throws RemoteException;
    public int getNumberOfOctet () throws RemoteException;
    public int getNumberOfConnect () throws RemoteException;
    public int getNumberOfActiveConection () throws RemoteException;
    public int getTimeOut () throws RemoteException;
    public int getConnectionMax () throws RemoteException;
    public String getServerState () throws RemoteException;
    public boolean isAllowedMethod (int request) throws RemoteException;
    public boolean isAllowedHeader (String id) throws RemoteException ;
    public void setAllowedMethod (int request, boolean value) throws RemoteException;
    public void setAllowedHeader (String id, boolean value ) throws RemoteException;
    public void setPort (int p) throws RemoteException;
    public void setBaseDir (String bd) throws RemoteException;
    public int setTimeOut (int timeOut) throws RemoteException;
    public int setConnectionMax (int connectionMax) throws RemoteException;
    public void setServerState (String state) throws RemoteException;
    public void resetRecord () throws RemoteException;
}