package ittp.protocol.response.headers;

import ittp.protocol.response.Response;
import ittp.protocol.request.Request;
import ittp.ittpException;
import ittp.Control;
import java.util.Iterator;
import java.rmi.RemoteException;

/**
 * This class create the header allow.
 * @author Frederic Bidon and Mathieu Texier
 */
public class Allow extends Response.Headers {
    private Response parent;
    /**Constructor of the class*/
    public Allow (Response parent) {
        parent.super ();
        this.parent = parent;
    }
    
    
    /**
     * Determine the headers allowed for a given method.
     * Convert to a string the headers allow.
     * @return a string containing the headers allowed for a given method.
     */
    public String toString () {
        String retString =  new String ();
        boolean firstName = true;
        
        for (int i=0; i<Request.methodName.length; i++) {
            try {
                if (ittp.Server.getParameters ().isAllowedMethod (i)) {
                    if (firstName)
                    {firstName = false;}
                    else {retString += ", ";}
                    retString += Request.methodName[i];
                }
            } catch (RemoteException e) {
                throw new ittpException (e.getMessage (), Response.Code.ITTP_INTERNAL_ERROR);
            }
        }
        return retString + "\n";
    }
    
    /**
     * Mutators for the boolean allowed.
     * @param allowed boolean that determine if this headers is allowed.
     */
    public void setAllowed (boolean allowed) {
        this.allowed = allowed;
    }
    
    /**
     * Mutators for the boolean used.
     * @param used boolean that determine if this headers is used.
     */
    public void setUsed (boolean used) {
        this.used = used;
    }
}
