package ittp.protocol.response.headers;

import ittp.protocol.response.Response;

/**
 * This class create the header server.
 * @author Frederic Bidon and Mathieu Texier
 */
public class Server extends Response.Headers{
    public final String DESCRIPTION = "ITTP server V " + ittp.Server.VERSION;
    private Response parent;
    /**Constructor of the class*/
    public Server (Response parent) {
        parent.super ();
        this.parent = parent;
    }
    
    /**
     * Convert to a string the headers server.
     * @return a string containing the description of the server.
     */
    public String toString () {
        return DESCRIPTION + "\n";
    }
    
    /**
     * Mutators for the boolean allowed.
     * @param allowed boolean that determine if this headers is allowed.
     */
    public void setAllowed (boolean allowed) {
        this.allowed = allowed;
    }
    
    /**
     * Mutators for the boolean used.
     * @param used boolean that determine if this headers is used.
     */
    public void setUsed (boolean used) {
        this.used = used;
    }
}
